Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.client.event.sound
Class SoundResultEvent

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.client.event.sound.SoundEvent
              net.minecraftforge.client.event.sound.SoundResultEvent

Direct Known Subclasses:
  PlayBackgroundMusicEvent, PlaySoundEffectEvent, PlaySoundEvent, PlayStreamingEvent

    public abstract class SoundResultEvent

extends SoundEvent

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.Result`

Field Summary
`SoundManager` | `manager`
`String` | `name`
`float` | `pitch`
`SoundPoolEntry` | `result`
`SoundPoolEntry` | `source`
`float` | `volume`

Constructor Summary
`SoundResultEvent(SoundManager manager, SoundPoolEntry source, String name, float volume, float pitch)`

Method Summary

Methods inherited from class net.minecraftforge.client.event.sound.SoundEvent
`getResult`

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, isCancelable, isCanceled, setCanceled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### manager

    public final SoundManager manager

### source

    public final SoundPoolEntry source

### name

    public final String name

### volume

    public final float volume

### pitch

    public final float pitch

### result

    public SoundPoolEntry result

Constructor Detail

### SoundResultEvent

    public SoundResultEvent(SoundManager manager,
                            SoundPoolEntry source,
                            String name,
                            float volume,
                            float pitch)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD